export let isIOS = false
export let isMacintosh = false

// Web environment
if (typeof navigator === "object") {
  const { userAgent } = navigator
  isMacintosh = userAgent.includes("Macintosh")
  isIOS =
    (userAgent.includes("Macintosh") ||
      userAgent.includes("iPad") ||
      userAgent.includes("iPhone")) &&
    !!navigator.maxTouchPoints &&
    navigator.maxTouchPoints > 0
}
